Subject: Re: bug#4708: 23.1; completion-try-completion adds an extra $: $$HOMj
From: Stefan Monnier <[email-masked]>
To: "Drew Adams" <[email-masked]>
Date: Wed, 14 Oct 2009 00:02:18 -0400

>> That try-completion will return nil when applied to "/foo/bar/$$HOMj",
>> so basically the $HOMj -> $$HOMj is considered to be a form 
>> of completion.
> Sorry, I don't follow that.

Just what I said: read-file-name-internal considered that changing
"$HOMj" into "$$HOMj" is a form of completion.  Just like hitting TAB
might change Foo into FOO in some completion cases.

> And did you mean try-completion or completion-try-completion?

Makes no difference, it's done in the completion-table, i.e. at
a lower level.

        Stefan